library ieee;
use ieee.std_logic_1164.all;

entity Adder_tb is
end Adder_tb;

architecture Architecture1 of Adder_tb is
	component Adder is
		generic (
			NumBits : integer := 4
		);
		port (
			A : in std_logic_vector((NumBits - 1) downto 0);
			B : in std_logic_vector((NumBits - 1) downto 0);
			Y : out std_logic_vector((NumBits - 1) downto 0)
		);
	end component;
	signal A : std_logic_vector(2 downto 0);
	signal B : std_logic_vector(2 downto 0);
	signal Y : std_logic_vector(2 downto 0);
begin
	Test : Adder generic map (
		NumBits => 3
	)
	port map (
		A => A,
		B => B,
		Y => Y
	);
	A <= "000" after 0 ns, "010" after 5 ns, "000" after 10 ns;
	B <= "001" after 0 ns, "010" after 5 ns, "000" after 10 ns;
end Architecture1;
