library ieee;
use ieee.std_logic_1164.all;

entity ChristmasLights_tb is
end ChristmasLights_tb;

architecture Architecture1 of ChristmasLights_tb is
	component ChristmasLights is
		port (
			Clk   : in std_logic;
			Reset : in std_logic;
			Led   : out std_logic_vector(7 downto 0)
		);
	end component;
	signal ClkTb : std_logic := '0';
	signal ClkOk : std_logic;
	signal ResetTb : std_logic;
	signal LedTb : std_logic_vector(7 downto 0);
begin
	Test : ChristmasLights port map (
		Clk => ClkTb,
		Reset => ResetTb,
		Led => LedTb
	);
	ResetTb <= '1' after 0 ns, '0' after 2 ns;
	ClkOk <= '1' after 0 ns, '0' after 500 ns;
	ClkTb <= not(ClkTb) after 0.5 ns when (ClkOk = '1') else '0';
end Architecture1;
